Page MenuHomePhabricator

Emphasis the error message of the logging form
Closed, ResolvedPublic

Description

To reproduce the problem :
On login form (first of the app), select a wiki in Projects with a config that obligate user to have a specific right like rollback (eg. Metawiki), no explanation or error message appear after validate.
Thanks

Event Timeline

Restricted Application added subscribers: Matthewrbowker, Aklapper. · View Herald TranscriptOct 31 2016, 7:07 PM
Framawiki triaged this task as Medium priority.Oct 31 2016, 7:07 PM
Petrb added a subscriber: Petrb.Nov 3 2016, 10:32 PM

Hi what exactly you mean no error message appear after validate I do see error when I try to login to some of these projects

Petrb added a comment.Nov 3 2016, 10:33 PM
Login failed on dewiki: You don't have rollback permissions on this project.

Ok, I found it, thanks.
The "status" string is a very small sentence under language choose.
It is really hard to find it if you don't know what search : at the start of the program, it is an explanation text.
But I never imagined that this is important.

So I think that it can be user-friendly to do change the size of the string, color it, transform it to a real alert box...

Framawiki renamed this task from Specify that rollback right are necessary on some wikis to Emphasis the error message of the logging form.Nov 4 2016, 8:02 PM
nikitavbv claimed this task.EditedDec 27 2016, 9:55 AM
nikitavbv added a subscriber: nikitavbv.

There are a few options how to do that.
In case of error:

  1. make intro message colored red:

  1. display an alert (and do not update intro text):

  1. make intro message colored red and display an alert:


I think #3 is the best option. The error message is really noticeable in that case. But what do you think?

Anyway, I have created pull request, implementing third option.
Link to github: https://github.com/huggle/huggle3-qt-lx/pull/191
If anything is wrong, or you think one of other options is better, than I will return and fix it.

Petrb closed this task as Resolved.Dec 29 2016, 8:56 AM

Hi, Sorry for late review, the task was approved. Good work.